using System;
using iNTERFACEWARE.Chameleon;
using PrefixTest;

class ClientEngine : PrefixTestEngine
{
	public ClientEngine(){}

	public override void  ParseMessage(string flatwire, Transport aTransport)
	{
		// This method needs to be synchronized since only one thread
		// at a time should be going through the engine

		try
		{
			base.ParseMessage(flatwire, aTransport);
		}
		catch (ChameleonException ex)
		{
			ErrorEvent(ex, "Error parsing message");
			// TODO - log the message so it can be analyzed later
		}
		catch (Exception ex)
		{
			 ErrorEvent(ex, "General exception");
			// TODO - log the message so it can be analyzed later
		}
	} 
}
